CredentialHandlerRuleSet (Apache Tomcat 9.0.119 API Documentation)
Description: declaration: package: org.apache.catalina.startup, class: CredentialHandlerRuleSet

# Class CredentialHandlerRuleSet

java.lang.Object
org.apache.catalina.startup.CredentialHandlerRuleSet

All Implemented Interfaces:
  `RuleSet`

public class CredentialHandlerRuleSet extends Object implements RuleSet
RuleSet for processing the contents of a CredentialHandler definition element. This `RuleSet` supports CredentialHandler such as the `NestedCredentialHandler` that used nested CredentialHandlers.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final String`
  `prefix`
  The matching pattern prefix to use for recognizing our elements.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CredentialHandlerRuleSet()`
  Construct an instance of this `RuleSet` with the default matching pattern prefix.
  `CredentialHandlerRuleSet(String prefix)`
  Construct an instance of this `RuleSet` with the specified matching pattern prefix.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addRuleInstances(Digester digester)`
  Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any).

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### prefix

    protected final String prefix
    The matching pattern prefix to use for recognizing our elements.

- ## Constructor Details

  - ### CredentialHandlerRuleSet

    public CredentialHandlerRuleSet()
    Construct an instance of this `RuleSet` with the default matching pattern prefix.

  - ### CredentialHandlerRuleSet

    public CredentialHandlerRuleSet(String prefix)
    Construct an instance of this `RuleSet` with the specified matching pattern prefix.
    Parameters:
      `prefix` - Prefix for matching pattern rules (including the trailing slash character)

- ## Method Details

  - ### addRuleInstances

    public void addRuleInstances(Digester digester)
    Description copied from interface: `RuleSet`
    Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any). This method should only be called by a Digester instance.
    Specified by:
      `addRuleInstances` in interface `RuleSet`
    Parameters:
      `digester` - Digester instance to which the new Rule instances should be added.